/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import OriginalLogger from './logger';
export default OriginalLogger;
export declare const logger: {
    red: (msg: string | number) => string;
    yellow: (msg: string | number) => string;
    green: (msg: string | number) => string;
    cyan: (msg: string | number) => string;
    bold: (msg: string | number) => string;
    dim: (msg: string | number) => string;
    path: (msg: unknown) => string;
    url: (msg: unknown) => string;
    name: (msg: unknown) => string;
    code: (msg: unknown) => string;
    subdue: (msg: unknown) => string;
    num: (msg: unknown) => string;
    interpolate: (msgs: TemplateStringsArray, ...values: (string | number | (string | number)[])[]) => string;
    info: {
        (msg: unknown): void;
        (msg: TemplateStringsArray, values_0: string | number | (string | number)[], ...values: (string | number | (string | number)[])[]): void;
    };
    warn: {
        (msg: unknown): void;
        (msg: TemplateStringsArray, values_0: string | number | (string | number)[], ...values: (string | number | (string | number)[])[]): void;
    };
    error: {
        (msg: unknown): void;
        (msg: TemplateStringsArray, values_0: string | number | (string | number)[], ...values: (string | number | (string | number)[])[]): void;
    };
    success: {
        (msg: unknown): void;
        (msg: TemplateStringsArray, values_0: string | number | (string | number)[], ...values: (string | number | (string | number)[])[]): void;
    };
    report: (reportingSeverity: import("@docusaurus/types").ReportingSeverity) => {
        (msg: unknown): void;
        (msg: TemplateStringsArray, values_0: string | number | (string | number)[], ...values: (string | number | (string | number)[])[]): void;
    };
    newLine: () => void;
};
export { PerfLogger } from './perfLogger';
//# sourceMappingURL=index.d.ts.map